python-debianbts (2.9.0) unstable; urgency=medium

  * Added done_by field to Bug Status (Closes: #943529)

 -- Bastian Venthur <venthur@debian.org>  Fri, 01 Nov 2019 12:32:15 +0100

python-debianbts (2.8.2) unstable; urgency=medium

  * Fix "incompatible with new pysimplesoap", thanks Gaetano Guerriero for the
    quick patch! (Closes: #917165)

 -- Bastian Venthur <venthur@debian.org>  Mon, 31 Dec 2018 15:34:02 +0100

python-debianbts (2.8.1) unstable; urgency=medium

  * Fixed version

 -- Bastian Venthur <venthur@debian.org>  Sun, 30 Dec 2018 15:11:37 +0100

python-debianbts (2.8.0) unstable; urgency=medium

  * Added HTTP and HTTPS proxy support (set set_soap_proxy) thanks Kay
    McCormick! (Closes: #914057)
  * Re-licensed under MIT
  * Improved Python packaging
  * debian/control, removed X-Python{2,3}-Version
  * Dropped Python3.3 support
  * Moved from nose to pytest and re-wrote the tests
  * Run flake8 on tests as well
  * Fixed several unicode related tests
  * Fixed several linter problems
  * Improved parsing of emails on `get_bug_log`

 -- Bastian Venthur <venthur@debian.org>  Sun, 30 Dec 2018 14:17:54 +0100

python-debianbts (2.7.2) unstable; urgency=medium

  * Minor fix in __main__.py

 -- Bastian Venthur <venthur@debian.org>  Sat, 17 Feb 2018 15:37:37 +0100

python-debianbts (2.7.1) unstable; urgency=medium

  * Fixed python_requires in setup.py

 -- Bastian Venthur <venthur@debian.org>  Fri, 03 Nov 2017 13:10:49 +0100

python-debianbts (2.7.0) unstable; urgency=medium

  * Applied patches by Ville Skyttä:
      - Prevent None prefix in SOAPAction
      - Replaced deprecated assert methods in tests
      - Some whitespace fixes
  * Bumped standards version
  * Updated Python packaging (setup.py)
  * Added Travis CI

 -- Bastian Venthur <venthur@debian.org>  Fri, 03 Nov 2017 10:02:08 +0100

python-debianbts (2.6.3) unstable; urgency=medium

  * Fix "Please expose severity sorting dict" Applied patch by Chris Lamb,
    thank you Chris! (Closes: #827853)

 -- Bastian Venthur <venthur@debian.org>  Sun, 17 Sep 2017 13:17:39 +0200

python-debianbts (2.6.2) unstable; urgency=medium

  * Fix "missing python3 dependency" applied patch by Adrian Bunk, thanks
    Adrian! (Closes: #867423)
  * Bumped standards version

 -- Bastian Venthur <venthur@debian.org>  Sun, 17 Sep 2017 12:54:22 +0200

python-debianbts (2.6.1) unstable; urgency=medium

  * Applied merged various pull requests:
  * Fixed ssl w/ Python 3.4.3, thanks again Gaetano Guerriero!
  * Adding pysimplesoap to install requirements in setup.py, thanks
    SimplicityGuy!
  * Replaced erroneous unicode values, thanks mprpic!
  * Fixed some typos, thanks jwilk!

 -- Bastian Venthur <venthur@debian.org>  Mon, 11 Jul 2016 10:50:39 +0200

python-debianbts (2.6.0~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Pierre Rudloff <contact@rudloff.pro>  Mon, 25 Jan 2016 00:08:10 +0100

python-debianbts (2.6.0) unstable; urgency=medium

  * Gaetano made python-debianbts thread safe by dynamically creating
    SoapClients instead of using a module-level one. (Closes: #801585)

 -- Bastian Venthur <venthur@debian.org>  Thu, 15 Oct 2015 15:35:16 +0200

python-debianbts (2.5.2) unstable; urgency=medium

  * Applied patch by Gaetano, that fixes Bugreport.__str__ throwing unicode
    decode errors
  * Fix bug where buglog body is sometimes not base64 decoded by applying
    patch by Gaetano. (Closes: #801585, #801347)

 -- Bastian Venthur <venthur@debian.org>  Tue, 13 Oct 2015 09:46:08 +0200

python-debianbts (2.5.1) unstable; urgency=medium

  * Applied patch by Gaetano fixing a bad import of the email module. Thanks
    Gaetano!
  * Use semver semantics for versioning from now on

 -- Bastian Venthur <venthur@debian.org>  Mon, 12 Oct 2015 15:16:14 +0200

python-debianbts (2.5) unstable; urgency=medium

  * Fix "get_bugs(..., 'bugs', [123, 456], ...) triggers serverside
    exception: The 'bugs' parameter ("HASH(0x315ced8)") to
    Debbugs::Bugs::get_bugs was a 'hashref'" Merged modified version of patch
    by Gaetano Guerriero. Thanks! (Closes: #801360)
  * Changed docstrings to numpy standard

 -- Bastian Venthur <venthur@debian.org>  Sun, 11 Oct 2015 15:48:42 +0200

python-debianbts (2.4) unstable; urgency=medium

  * Fix "base64-encoded strings" merged patch by Gaetano that parses all
    fields of Bugreport via _parse_string_el. (Closes: #799528)

 -- Bastian Venthur <venthur@debian.org>  Sun, 27 Sep 2015 13:37:22 +0200

python-debianbts (2.3) unstable; urgency=medium

  * Added logging to unit tests
  * Fixed some unittests
  * Fix "base64-encoded strings" by merging pull request by Gaetano Guerriero.
    (Closes: #799528) Thank you Gaetano!

 -- Bastian Venthur <venthur@debian.org>  Sun, 20 Sep 2015 15:29:19 +0200

python-debianbts (2.2) unstable; urgency=medium

  * Added patch by Gaetano to provide proper email messages in Buglog.
  * Upload to unstable

 -- Bastian Venthur <venthur@debian.org>  Thu, 17 Sep 2015 12:41:37 +0200

python-debianbts (2.1) experimental; urgency=medium

  * Port to Python 3. Thanks again Gaetano Guerriero for providing the initial
    patch! The code works now under Python2/3 simultaneously 
    (Closes: #732644)

 -- Bastian Venthur <venthur@debian.org>  Fri, 28 Aug 2015 09:30:41 +0200

python-debianbts (2.0) experimental; urgency=medium

  * Merged patch that ports python-debianbts from soappy to simplesoap, by
    Gaetano Guerriero. Thank you very much!
  * allow get_bugs(a, b, c, d) and get_bugs([a, b, c, d]) 

 -- Bastian Venthur <venthur@debian.org>  Thu, 27 Aug 2015 14:01:33 +0200

python-debianbts (1.14) unstable; urgency=medium

  * Fix "performance regression in get_status()" by applying patch from James
    McCoy. Thank you very much James! (Closes: #795198)
  * Made code more PEP8 compliant
  * Made unit tests more discoverable for nosetests

 -- Bastian Venthur <venthur@debian.org>  Wed, 12 Aug 2015 10:05:35 +0200

python-debianbts (1.13) unstable; urgency=medium

  * Fix "reportbug: HTTPError 500 Internal Server Error" by merging patch
    contributed by James McCoi, thanks James! (Closes: #722226)
    * Bugs are now downloaded in batches of 500 bugs
  * Bumped standards version
  * Transitioned the package from python-support to dh_python2

 -- Bastian Venthur <venthur@debian.org>  Thu, 23 Jul 2015 17:01:28 +0200

python-debianbts (1.12) unstable; urgency=medium

  * Added HTTP_PROXY support by applying the patch from Raphael Kubo da Costa,
    thank you very much! (Closes: #630496)
  * Fix "Bugreport.affects returns an array of chars, not strings" by
    splitting the input string (Closes: #670446)

 -- Bastian Venthur <venthur@debian.org>  Mon, 07 Jul 2014 14:50:29 +0200

python-debianbts (1.11) unstable; urgency=low

  * Uploaded lots of changes contributed by Jari Aalto. Thank you very much
    man!
    * Remove unused dpatch and upgrade to packaging format "3.0 (native)".
    * Update to Standards-Version to 3.9.3.1 and debhelper to 9.
    * Add build-arch and build-indep targets to rules file.
    * Fix copyright-with-old-dh-make-debian-copyright (Lintian).
    * Fix spelling-error-in-description (Lintian).
    * Fix copyright-refers-to-symlink-license (Lintian).

  * Merged with patch from Michael, improving distutils setup.

 -- Bastian Venthur <venthur@debian.org>  Mon, 16 Apr 2012 10:40:08 +0100

python-debianbts (1.10) unstable; urgency=low

  * Switched to distutils

 -- Bastian Venthur <venthur@debian.org>  Thu, 24 Feb 2011 10:04:22 +0100

python-debianbts (1.9) unstable; urgency=low

  * Fixed issue in unicode handling in Bugreport.__str__ method
  * Added documentation for 'bugs' keyword in get_bugs

 -- Bastian Venthur <venthur@debian.org>  Fri, 06 Aug 2010 21:38:29 -0400

python-debianbts (1.8) unstable; urgency=low

  * Fix "please add a Vcs-Browser field in source stanza" (Closes: #590929)
  * Fixed the types of the mergedwith-, blocks-, blockedby-, and
    affects-fields of the Bugreport class: the first three changed from
    "String" to "list of Strings" the last one from "String" to list of
    Strings"
  * Removed the keywords-, found_date-, fixed_date-, and id-attributes as they
    are either not fully implemented in the BTS or superfluous
  * Added Unittests to ensure the above works as expected
  * Further improved the documentation of the methods and the Bugreport class

 -- Bastian Venthur <venthur@debian.org>  Sun, 01 Aug 2010 22:47:06 -0400

python-debianbts (1.7) unstable; urgency=low

  * Fix "remove *.pyc from source package" Added rm *.pyc rule in clean
    targets. (Closes: #590722)
  * Fix "UnicodeDecodeError: 'utf8' codec can't decode byte 0xe4 in
    position 44: invalid continuation byte" We replace invalid unicode
    characters now (Closes: #590725)

 -- Bastian Venthur <venthur@debian.org>  Thu, 29 Jul 2010 22:21:01 +0200

python-debianbts (1.6) unstable; urgency=low

  * Fix "reportbug-ng: coercing to Unicode: need string or buffer, int found",
    apparently "blocks" is sometimes a string and sometimes an int.
    (Closes: #590073)

 -- Bastian Venthur <venthur@debian.org>  Sat, 24 Jul 2010 15:01:00 +0200

python-debianbts (1.5) unstable; urgency=low

  * Fix "UnicodeDecodeError on get_bug_log() and other methods", added
    regression test for this bug. (Closes: #588954)

 -- Bastian Venthur <venthur@debian.org>  Sat, 17 Jul 2010 14:59:17 +0200

python-debianbts (1.4~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Bastian Venthur <venthur@debian.org>  Tue, 22 Jun 2010 23:00:05 +0200

python-debianbts (1.4) unstable; urgency=low

  * Fix "[python-debianbts] Typo that generates incorrect output"
    Fixed trivial typo (Closes: #566554)

 -- Bastian Venthur <venthur@debian.org>  Sun, 24 Jan 2010 12:51:03 +0100

python-debianbts (1.3) unstable; urgency=low

  * Removed id, found and fixed (Closes: #550945)
    - According to Don id is superfluous and will vanish, use bug_num instead
    - found and fixed are only partly implemented in debbugs, found_versions
      and fixed_versions give the information you need.

 -- Bastian Venthur <venthur@debian.org>  Wed, 14 Oct 2009 23:52:19 +0200

python-debianbts (1.2) unstable; urgency=low

  * Fixed typo in debian/pyversions 

 -- Bastian Venthur <venthur@debian.org>  Sun, 11 Oct 2009 13:14:57 +0200

python-debianbts (1.1) unstable; urgency=low

  * Make python-debianbts depend on python >= 2.5
    - (Closes: #550569) python-debianbts: fails to
      compile with Python 2.4!!
    - (Closes: #550571) python-debianbts: Incompatible
      with python2.4!!

 -- Bastian Venthur <venthur@debian.org>  Sun, 11 Oct 2009 12:34:03 +0200

python-debianbts (1.0) unstable; urgency=low

  * Major version number jump breaks backwards compatibility

  * Added support for usertags
  * Bugreport class provides exactly the members, provided by SOAP even if
    they don't make sense:
    - id and bug_nr seem to be identical all the time
    - found and found_versions as well
    - keywords and tags also
    - even fixed and fixed date
    - summary is always empty, but subject gives the summary
    - ... and probably some other quirks
  * get_bug_log now returns a dict instead of an object
  * removed HTMLStripper class -- we use SOAP for a while now
  * removed get_html_fulltext -- bugs.debian.org/bugnr does the trick too
  * Major refactorings
  * Added unittests

 -- Bastian Venthur <venthur@debian.org>  Sat, 10 Oct 2009 20:20:31 +0200

python-debianbts (0.6) unstable; urgency=low

  * Updated VCS-git field in debian/control, we moved to github
  * Bumped standards version (no changes)

 -- Bastian Venthur <venthur@debian.org>  Sat, 19 Sep 2009 16:29:45 +0200

python-debianbts (0.5) unstable; urgency=low

  The "greetings from Graz" release
  * Fix "python-glpk and python-debianbts: error when trying to install
    together" Removed __init__.py (Closes: #546561)
  * Fix "submitter field is always None" (Closes: #542651)

 -- Bastian Venthur <venthur@debian.org>  Mon, 14 Sep 2009 10:59:30 +0200

python-debianbts (0.4) unstable; urgency=low

  * Fix "incomplete documentation for debianbts.get_bugs()", added
    "correspondent" to docstring (Closes: #529588)
  * Fix "timestamps represented as strings", first- and lastaction are now
    datetimeobjects, thanks Jakub (Closes: #529488)
  * Added VCS-git field to debian/control 
  * Bumped standards version 
  * Replaced dh_clean -k with dh_prep in debian/rules 
  * Replaced Author(s) with Author in debian/copyright 

 -- Bastian Venthur <venthur@debian.org>  Sun, 07 Jun 2009 15:03:52 +0200

python-debianbts (0.3) unstable; urgency=low

  * Added support for Tags

 -- Bastian Venthur <venthur@debian.org>  Sat, 11 Oct 2008 17:16:38 +0200

python-debianbts (0.2.1) unstable; urgency=low

  * Corrected priority from extra to optional
  * Fixed short and long package description to make lintian happy

 -- Bastian Venthur <venthur@debian.org>  Fri, 11 Jul 2008 14:38:17 +0200

python-debianbts (0.2) unstable; urgency=low

  * Changed SOAP namespace to Debbugs/SOAP/V1, thanks Don for the hint!
  * Added values for Bugreports to compare their severities
  * Added HTML Parser and get_html_fulltext(bugnr)

 -- Bastian Venthur <venthur@debian.org>  Mon, 07 Jul 2008 23:26:58 +0200

python-debianbts (0.1) unstable; urgency=low

  * Initial Release.

 -- Bastian Venthur <venthur@debian.org>  Sun, 06 Jul 2008 19:40:04 +0200
